package com.bonus.canteen.core.drp.model;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import lombok.Generated;
import com.bonus.canteen.core.common.encrypt.SM4EncDecHandler;

@ApiModel
@TableName(
   value = "drp_supplier",
   autoResultMap = true
)
public class DrpSupplier {
   @ApiModelProperty("主键id")
   @TableId(
      value = "id",
      type = IdType.AUTO
   )
   private Long id;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("区域id")
   private Long areaId;
   @ApiModelProperty("供应商编号")
   private String supplierNum;
   @ApiModelProperty("供应商名称")
   private String supplierName;
   @ApiModelProperty("详细地址")
   private String address;
   @ApiModelProperty("主要联系人")
   private String linkman;
   @ApiModelProperty("主要联系人电话")
   @TableField(
      value = "linkman_number",
      typeHandler = SM4EncDecHandler.class
   )
   private String linkmanNumber;
   @ApiModelProperty("主要邮箱")
   private String email;
   @ApiModelProperty("开户行")
   private String openingBank;
   @ApiModelProperty("银行账号")
   private String bankAccount;
   @ApiModelProperty("供应商简称")
   private String supplierSimpleName;
   @ApiModelProperty("供应商电话")
   @TableField(
      value = "telephone",
      typeHandler = SM4EncDecHandler.class
   )
   private String telephone;
   @ApiModelProperty("公司网站")
   private String companyWeb;
   @ApiModelProperty("区域-省")
   private String regionProvince;
   @ApiModelProperty("区域-市")
   private String regionCity;
   @ApiModelProperty("区域-区")
   private String regionDistrict;
   @ApiModelProperty("税率(3%,6%,13%)")
   private Integer taxRate;
   @ApiModelProperty("账期（1日，2周，3月，4两个月，5季度，6半年，7年）")
   private Integer paymentDays;
   @ApiModelProperty("备用联系人")
   private String standbyLinkman;
   @ApiModelProperty("备用手机号")
   @TableField(
      value = "standby_phone",
      typeHandler = SM4EncDecHandler.class
   )
   private String standbyPhone;
   @ApiModelProperty("备用微信")
   private String standbyWechat;
   @ApiModelProperty("备用邮箱")
   private String standbyEmail;
   @ApiModelProperty("注册资金(万元)")
   private BigDecimal registFund;
   @ApiModelProperty("成立时间")
   private LocalDate establishDate;
   @ApiModelProperty("职工人数")
   private Integer workersNum;
   @ApiModelProperty("目前服务的客户数量")
   private Integer clientNum;
   @ApiModelProperty("去年营业收入(万元)")
   private BigDecimal lastYearOperatingIncome;
   @ApiModelProperty("前年营业收入(万元)")
   private BigDecimal beforeYearOperatingIncome;
   @ApiModelProperty("经营范围(工商信息)")
   private String businessScope;
   @ApiModelProperty("前五大客户")
   private String topFiveClient;
   @ApiModelProperty("前五大供应商")
   private String topFiveSupplier;
   @ApiModelProperty("公司简介")
   private String companyIntroduction;
   @ApiModelProperty("主要优势")
   private String mainAdvantage;
   @ApiModelProperty("是否接收通知(1是2否)")
   private Integer ifReceiveNotice;
   @ApiModelProperty("流程通知方式(1不通知2短信3公众号)")
   private Integer noticeStyle;
   @ApiModelProperty("供应商用户id")
   private Long supplierUserId;
   @ApiModelProperty("供应商状态(1-待审核,2-审核通过,3-禁用)")
   private Integer status;
   @ApiModelProperty("主要微信号")
   private String wechat;
   @ApiModelProperty("供应商评分")
   private BigDecimal supplierScore;
   @ApiModelProperty("删除标识(1-删除,2-正常)")
   private Integer delFlag;
   @ApiModelProperty("乐观锁")
   private Integer revision;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("身份证照片")
   private String idCardImgZ;
   @ApiModelProperty("身份证照片")
   private String idCardImgF;
   @ApiModelProperty("附件")
   private String attachment;

   @Generated
   public Long getId() {
      return this.id;
   }

   @Generated
   public Long getSupplierId() {
      return this.supplierId;
   }

   @Generated
   public Long getAreaId() {
      return this.areaId;
   }

   @Generated
   public String getSupplierNum() {
      return this.supplierNum;
   }

   @Generated
   public String getSupplierName() {
      return this.supplierName;
   }

   @Generated
   public String getAddress() {
      return this.address;
   }

   @Generated
   public String getLinkman() {
      return this.linkman;
   }

   @Generated
   public String getLinkmanNumber() {
      return this.linkmanNumber;
   }

   @Generated
   public String getEmail() {
      return this.email;
   }

   @Generated
   public String getOpeningBank() {
      return this.openingBank;
   }

   @Generated
   public String getBankAccount() {
      return this.bankAccount;
   }

   @Generated
   public String getSupplierSimpleName() {
      return this.supplierSimpleName;
   }

   @Generated
   public String getTelephone() {
      return this.telephone;
   }

   @Generated
   public String getCompanyWeb() {
      return this.companyWeb;
   }

   @Generated
   public String getRegionProvince() {
      return this.regionProvince;
   }

   @Generated
   public String getRegionCity() {
      return this.regionCity;
   }

   @Generated
   public String getRegionDistrict() {
      return this.regionDistrict;
   }

   @Generated
   public Integer getTaxRate() {
      return this.taxRate;
   }

   @Generated
   public Integer getPaymentDays() {
      return this.paymentDays;
   }

   @Generated
   public String getStandbyLinkman() {
      return this.standbyLinkman;
   }

   @Generated
   public String getStandbyPhone() {
      return this.standbyPhone;
   }

   @Generated
   public String getStandbyWechat() {
      return this.standbyWechat;
   }

   @Generated
   public String getStandbyEmail() {
      return this.standbyEmail;
   }

   @Generated
   public BigDecimal getRegistFund() {
      return this.registFund;
   }

   @Generated
   public LocalDate getEstablishDate() {
      return this.establishDate;
   }

   @Generated
   public Integer getWorkersNum() {
      return this.workersNum;
   }

   @Generated
   public Integer getClientNum() {
      return this.clientNum;
   }

   @Generated
   public BigDecimal getLastYearOperatingIncome() {
      return this.lastYearOperatingIncome;
   }

   @Generated
   public BigDecimal getBeforeYearOperatingIncome() {
      return this.beforeYearOperatingIncome;
   }

   @Generated
   public String getBusinessScope() {
      return this.businessScope;
   }

   @Generated
   public String getTopFiveClient() {
      return this.topFiveClient;
   }

   @Generated
   public String getTopFiveSupplier() {
      return this.topFiveSupplier;
   }

   @Generated
   public String getCompanyIntroduction() {
      return this.companyIntroduction;
   }

   @Generated
   public String getMainAdvantage() {
      return this.mainAdvantage;
   }

   @Generated
   public Integer getIfReceiveNotice() {
      return this.ifReceiveNotice;
   }

   @Generated
   public Integer getNoticeStyle() {
      return this.noticeStyle;
   }

   @Generated
   public Long getSupplierUserId() {
      return this.supplierUserId;
   }

   @Generated
   public Integer getStatus() {
      return this.status;
   }

   @Generated
   public String getWechat() {
      return this.wechat;
   }

   @Generated
   public BigDecimal getSupplierScore() {
      return this.supplierScore;
   }

   @Generated
   public Integer getDelFlag() {
      return this.delFlag;
   }

   @Generated
   public Integer getRevision() {
      return this.revision;
   }

   @Generated
   public String getCrby() {
      return this.crby;
   }

   @Generated
   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   @Generated
   public String getUpby() {
      return this.upby;
   }

   @Generated
   public LocalDateTime getUptime() {
      return this.uptime;
   }

   @Generated
   public String getIdCardImgZ() {
      return this.idCardImgZ;
   }

   @Generated
   public String getIdCardImgF() {
      return this.idCardImgF;
   }

   @Generated
   public String getAttachment() {
      return this.attachment;
   }

   @Generated
   public void setId(final Long id) {
      this.id = id;
   }

   @Generated
   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   @Generated
   public void setAreaId(final Long areaId) {
      this.areaId = areaId;
   }

   @Generated
   public void setSupplierNum(final String supplierNum) {
      this.supplierNum = supplierNum;
   }

   @Generated
   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   @Generated
   public void setAddress(final String address) {
      this.address = address;
   }

   @Generated
   public void setLinkman(final String linkman) {
      this.linkman = linkman;
   }

   @Generated
   public void setLinkmanNumber(final String linkmanNumber) {
      this.linkmanNumber = linkmanNumber;
   }

   @Generated
   public void setEmail(final String email) {
      this.email = email;
   }

   @Generated
   public void setOpeningBank(final String openingBank) {
      this.openingBank = openingBank;
   }

   @Generated
   public void setBankAccount(final String bankAccount) {
      this.bankAccount = bankAccount;
   }

   @Generated
   public void setSupplierSimpleName(final String supplierSimpleName) {
      this.supplierSimpleName = supplierSimpleName;
   }

   @Generated
   public void setTelephone(final String telephone) {
      this.telephone = telephone;
   }

   @Generated
   public void setCompanyWeb(final String companyWeb) {
      this.companyWeb = companyWeb;
   }

   @Generated
   public void setRegionProvince(final String regionProvince) {
      this.regionProvince = regionProvince;
   }

   @Generated
   public void setRegionCity(final String regionCity) {
      this.regionCity = regionCity;
   }

   @Generated
   public void setRegionDistrict(final String regionDistrict) {
      this.regionDistrict = regionDistrict;
   }

   @Generated
   public void setTaxRate(final Integer taxRate) {
      this.taxRate = taxRate;
   }

   @Generated
   public void setPaymentDays(final Integer paymentDays) {
      this.paymentDays = paymentDays;
   }

   @Generated
   public void setStandbyLinkman(final String standbyLinkman) {
      this.standbyLinkman = standbyLinkman;
   }

   @Generated
   public void setStandbyPhone(final String standbyPhone) {
      this.standbyPhone = standbyPhone;
   }

   @Generated
   public void setStandbyWechat(final String standbyWechat) {
      this.standbyWechat = standbyWechat;
   }

   @Generated
   public void setStandbyEmail(final String standbyEmail) {
      this.standbyEmail = standbyEmail;
   }

   @Generated
   public void setRegistFund(final BigDecimal registFund) {
      this.registFund = registFund;
   }

   @Generated
   public void setEstablishDate(final LocalDate establishDate) {
      this.establishDate = establishDate;
   }

   @Generated
   public void setWorkersNum(final Integer workersNum) {
      this.workersNum = workersNum;
   }

   @Generated
   public void setClientNum(final Integer clientNum) {
      this.clientNum = clientNum;
   }

   @Generated
   public void setLastYearOperatingIncome(final BigDecimal lastYearOperatingIncome) {
      this.lastYearOperatingIncome = lastYearOperatingIncome;
   }

   @Generated
   public void setBeforeYearOperatingIncome(final BigDecimal beforeYearOperatingIncome) {
      this.beforeYearOperatingIncome = beforeYearOperatingIncome;
   }

   @Generated
   public void setBusinessScope(final String businessScope) {
      this.businessScope = businessScope;
   }

   @Generated
   public void setTopFiveClient(final String topFiveClient) {
      this.topFiveClient = topFiveClient;
   }

   @Generated
   public void setTopFiveSupplier(final String topFiveSupplier) {
      this.topFiveSupplier = topFiveSupplier;
   }

   @Generated
   public void setCompanyIntroduction(final String companyIntroduction) {
      this.companyIntroduction = companyIntroduction;
   }

   @Generated
   public void setMainAdvantage(final String mainAdvantage) {
      this.mainAdvantage = mainAdvantage;
   }

   @Generated
   public void setIfReceiveNotice(final Integer ifReceiveNotice) {
      this.ifReceiveNotice = ifReceiveNotice;
   }

   @Generated
   public void setNoticeStyle(final Integer noticeStyle) {
      this.noticeStyle = noticeStyle;
   }

   @Generated
   public void setSupplierUserId(final Long supplierUserId) {
      this.supplierUserId = supplierUserId;
   }

   @Generated
   public void setStatus(final Integer status) {
      this.status = status;
   }

   @Generated
   public void setWechat(final String wechat) {
      this.wechat = wechat;
   }

   @Generated
   public void setSupplierScore(final BigDecimal supplierScore) {
      this.supplierScore = supplierScore;
   }

   @Generated
   public void setDelFlag(final Integer delFlag) {
      this.delFlag = delFlag;
   }

   @Generated
   public void setRevision(final Integer revision) {
      this.revision = revision;
   }

   @Generated
   public void setCrby(final String crby) {
      this.crby = crby;
   }

   @Generated
   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   @Generated
   public void setUpby(final String upby) {
      this.upby = upby;
   }

   @Generated
   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   @Generated
   public void setIdCardImgZ(final String idCardImgZ) {
      this.idCardImgZ = idCardImgZ;
   }

   @Generated
   public void setIdCardImgF(final String idCardImgF) {
      this.idCardImgF = idCardImgF;
   }

   @Generated
   public void setAttachment(final String attachment) {
      this.attachment = attachment;
   }
}
